For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create an environment object for a Deployment or Workspace. An environment object represents a connection, Airflow variable, or metrics export resource that is managed by the Astro Environment Manager.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
organizationIdstringRequired
The ID of the Organization in which to create the environment object.
Request
The request body for creating a new environment object.
objectKeystringRequired
The key for the environment object
objectTypeenumRequired
The type of environment object
Allowed values:
scopeenumRequired
The scope of the environment object
Allowed values:
scopeEntityIdstringRequired
The ID of the scope entity where the environment object is created
airflowVariableobjectOptional
autoLinkDeploymentsbooleanOptional
Whether or not to automatically link Deployments to the environment object. Only applicable for WORKSPACE scope
connectionobjectOptional
excludeLinkslist of objectsOptional
The links to exclude from the environment object. Only applicable for WORKSPACE scope
linkslist of objectsOptional
The Deployments that Astro links to the environment object. Only applicable for WORKSPACE scope